// $Id: CPU.h,v 1.3 2001/03/03 22:02:34 rob Exp $

#ifndef CPU_H
#define CPU_H

#include "BarGraph.h"

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>

class CPU: public BarGraph {
  protected:
    long user,last_user;
    float user_perc;
	
    long nice,last_nice;
    float nice_perc;
	
    long sys,last_sys;
    float sys_perc;
	
    long idle,last_idle;
    float idle_perc;
	
    string cpuTag;
	
  public:
    CPU(Container *parent, int tc);
    CPU(Container *parent, int tc, int cpuNum);
    static void create(Container *parent, int tc);
    void prepare();

  protected:
    void calculateInfo();
};

#endif // CONTAINER_H
