// $Id: Clock.h,v 1.5 2001/03/03 22:02:34 rob Exp $

#ifndef CLOCK_H
#define CLOCK_H

#include "TimedContainer.h"

class Clock: public TimedContainer {
  protected:
    int hour; // current time
    int minute;
    int second;
	
    short hourOffset; // offset for alternate timezones
    short minuteOffset;
	
  public:
    Clock(Container *parent, int tc);
    Clock(Container *parent, int tc, int hour, int minute);
    void setOffset(int hour, int minute);
    void prepare();
};

#endif // CONTAINER_H
