// $Id: DualBarGraph.h,v 1.2 2001/03/03 22:02:34 rob Exp $

#ifndef DUALBARGRAPH_H
#define DUALBARGRAPH_H

#include "BarGraph.h"

class DualBarGraph: public BarGraph {
  protected:
    BarInfo bar2;
	
  public:
    DualBarGraph(Container *parent, int tc);
    DualBarGraph(Container *parent, int tc, int min, int max, char *label);
    void setPreferredSize(int dir);
    void setRange(int min, int max);
    void prepare();
    void paint();
    void update();
};

#endif // CONTAINER_H
