// $Id: NetPackets.h,v 1.5 2001/03/03 22:02:34 rob Exp $

#ifndef NETPACKETS_H
#define NETPACKETS_H

#include "DualBarGraph.h"

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>

class NetPackets: public DualBarGraph {
  protected:
    string deviceName;
    int scaleFactor;
    long lastTx,lastRx;
    int txCount,rxCount;
	
  public:
    NetPackets(Container *parent, int tc, char *device);
    static void create(Container *parent, int tc);
    void prepare();

  protected:
    void getNetInfo();
};

#endif // CONTAINER_H
