// $Id: TextBox.h,v 1.4 2001/03/03 22:02:34 rob Exp $

#ifndef TEXTBOX_H
#define TEXTBOX_H

#include "Container.h"

class TextBox: public Container {
  protected:
    int rows;
    int cols;
    char *text;
    int length;
	
    bool highlighted;
	
  public:
    TextBox(Container *parent);
    TextBox(Container *parent, int rows);
    void setText(char *text);
    void setText(char *text, int length);
    virtual void setHighlight(bool highlighted);
    void setPreferredSize(int dir);
    void paint();
    void update();

  private:
    void drawText();
};

#endif // CONTAINER_H
