// $Id: Battery.h,v 1.3 2001/03/03 22:02:34 rob Exp $

#ifndef BATTERY_H
#define BATTERY_H

#include "BarGraph.h"

#include <time.h>

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>

#define AC_POWER 1
#define CHARGING 2
#define BATTERY 3

class Battery: public BarGraph {
  protected:
    time_t batt_start;
    int mode;
	
  public:
    Battery(Container *parent, int tc);
    void prepare();

  protected:
    int getPercentRemaining();
};

#endif // CONTAINER_H
