// $Id: Calendar.h,v 1.5 2001/04/27 15:55:37 rob Exp $

#ifndef CALENDAR_H
#define CALENDAR_H

#include "Tooltip.h"

#include <time.h>

class Calendar: public Tooltip {
  protected:
    int border_width;
    int cell_padding;
    int cell_height;
    int cell_width;
    int months_to_display;

    string highlightColorName;
    GC highlightGC;
	
  public:
    Calendar();
    void setPreferredSize(int dir);
    void paint();

  private:
    int getDaysInMonth(int month, int year);
    char getDayAbbrev(int day);
    void drawCal(struct tm *tmval, int offset, bool today);
};

#endif // CONTAINER_H
