// $Id: Disk.h,v 1.4 2001/03/03 22:02:34 rob Exp $

#ifndef DISK_H
#define DISK_H

#include "DualBarGraph.h"

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>

#include <dirent.h>

class Disk: public DualBarGraph {
  protected:
    int deviceNum;
    int scaleFactor;
    long lastR,lastW;
    int readCount,writeCount;
	
  public:
    Disk(Container *parent, int tc, int deviceNum);
    static void create(Container *parent, int tc);
    void prepare();

  protected:
    void getDiskInfo();
};

#endif // CONTAINER_H
