// $Id: Mixer.h,v 1.5 2001/04/27 15:55:37 rob Exp $

#ifndef MIXER_H
#define MIXER_H

#include "BarGraph.h"

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include <sys/soundcard.h>

class Mixer: public BarGraph {
  protected:
    static const char *labels[];
    static const char *names[];
    int device;
	
  public:
    Mixer(Container *parent, int tc, int device);
    void realize();
    void handleButtonPress(XButtonEvent *e);
    void handleMouseMotion(XMotionEvent *e);
    static void create(Container *parent, int tc);
    static void create(Container *parent, int tc, char *list);
    void prepare();

  protected:
    int getVolume();
    void setVolume(int left, int right);
};

#endif // MIXER_H
